Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.BPV_team
Class Mobile

    java.lang.Object
      warbot.BPV_team.Mobile

Direct Known Subclasses:
  Rocket

    public class Mobile

extends java.lang.Object

Constructor Summary
`Mobile(double x, double y)`
`Mobile(double x, double y, boolean libre)`
`Mobile(double x, double y, int tour)`
`Mobile(double x, double y, int tour, boolean libre)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Point` | `getCoord()`
`Point` | `getNextCoord()`
`double` | `getNextX()`
`double` | `getNextY()`
`Point` | `getVisee(Point ag_coord)`
`double` | `getX()`
`double` | `getY()`
`void` | `setVal(double x, double y)`
`void` | `setVal(double x, double y, int tour)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mobile

    public Mobile(double x,
                  double y,
                  int tour,
                  boolean libre)

### Mobile

    public Mobile(double x,
                  double y,
                  int tour)

### Mobile

    public Mobile(double x,
                  double y)

### Mobile

    public Mobile(double x,
                  double y,
                  boolean libre)

Method Detail

### setVal

    public void setVal(double x,
                       double y)

### setVal

    public void setVal(double x,
                       double y,
                       int tour)

### getX

    public double getX()

### getY

    public double getY()

### getCoord

    public Point getCoord()

### getNextX

    public double getNextX()

### getNextY

    public double getNextY()

### getNextCoord

    public Point getNextCoord()

### getVisee

    public Point getVisee(Point ag_coord)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.